From 0577a11d11a61e3843c09c3ef5d881ae1a420c42 Mon Sep 17 00:00:00 2001
From: Anton Bershanskiy <bershan2@illinois.edu>
Date: Mon, 29 May 2017 00:45:16 -0500
Subject: [PATCH 1/1] Enhance HTTPS support on nightlies.videolan.org In URLs
 replace all "http://*" with "//*" to respect user's choice of protocol. Fix
 Windows "official releases" URLs: previously they were pointing to MacOS.
 Unfortunately, there is no 64-bit Windows page, so link points to generic
 32-bit page.

---
 nightlies.videolan.org/build/iOS/HEADER.html          |  4 ++--
 nightlies.videolan.org/build/macosx-intel/HEADER.html |  4 ++--
 nightlies.videolan.org/build/source/HEADER.html       |  4 ++--
 nightlies.videolan.org/build/tvOS/HEADER.html         |  4 ++--
 nightlies.videolan.org/build/win32/HEADER.html        |  4 ++--
 nightlies.videolan.org/build/win64/HEADER.html        |  4 ++--
 nightlies.videolan.org/build/wince/HEADER.html        |  4 ++--
 nightlies.videolan.org/index.php                      | 10 +++++-----
 8 files changed, 19 insertions(+), 19 deletions(-)

diff --git a/nightlies.videolan.org/build/iOS/HEADER.html b/nightlies.videolan.org/build/iOS/HEADER.html
index 05606e23..ab633db5 100644
--- a/nightlies.videolan.org/build/iOS/HEADER.html
+++ b/nightlies.videolan.org/build/iOS/HEADER.html
@@ -6,7 +6,7 @@
     ul { overflow: hidden; }
 </style>
 <header>
-    <a href="http://www.videolan.org/">
+    <a href="//www.videolan.org/">
         <img src="/cone-soppera10.png" alt="VLC cone logo" id="logo" />
     </a>
     <h1>MobileVLCKit iOS nightly builds for ARMv7, ARMv7s, AArch64, x86_64 and i686</h1>
@@ -17,5 +17,5 @@
     <h2>Note: MobileVLCKit's nightly builds for iOS require iOS 7 or later as well as Xcode 7.3 or later</h2>
     <p>The static framework will not work on earlier releases of iOS. Linking with libc++ instead of libstdc++ is required.</p>
 
-    <p><a href="/">Looking for nightly builds for other OSes</a> or <a href="http://www.videolan.org/vlc/download-ios.html">official releases</a>?</p>
+    <p><a href="/">Looking for nightly builds for other OSes</a> or <a href="//www.videolan.org/vlc/download-ios.html">official releases</a>?</p>
 </header>
diff --git a/nightlies.videolan.org/build/macosx-intel/HEADER.html b/nightlies.videolan.org/build/macosx-intel/HEADER.html
index 65086c21..e0272ff2 100644
--- a/nightlies.videolan.org/build/macosx-intel/HEADER.html
+++ b/nightlies.videolan.org/build/macosx-intel/HEADER.html
@@ -6,7 +6,7 @@
     ul { overflow: hidden; }
 </style>
 <header>
-    <a href="http://www.videolan.org/">
+    <a href="//www.videolan.org/">
         <img src="/cone-soppera10.png" alt="VLC cone logo" id="logo" />
     </a>
     <h1>VLC media player nightly builds for macOS</h1>
@@ -23,5 +23,5 @@
         <li><strong>VLCKit</strong> is the latest VLC snapshot of the Objective-C framework (libvlc binding) to include VLC's functionality in your own applications.</li>
         <li><strong>VLC-webplugin</strong> is a plugin for web browsers that support NPAPI-style plugins.</li>
     </ul>
-    <p><a href="/">Looking for nightly builds for other OSes</a> or <a href="http://www.videolan.org/vlc/download-macosx.html">official releases</a>?</p>
+    <p><a href="/">Looking for nightly builds for other OSes</a> or <a href="//www.videolan.org/vlc/download-macosx.html">official releases</a>?</p>
 </header>
diff --git a/nightlies.videolan.org/build/source/HEADER.html b/nightlies.videolan.org/build/source/HEADER.html
index 54314070..35d108f6 100644
--- a/nightlies.videolan.org/build/source/HEADER.html
+++ b/nightlies.videolan.org/build/source/HEADER.html
@@ -6,11 +6,11 @@
     ul { overflow: hidden; }
 </style>
 <header>
-    <a href="http://www.videolan.org/">
+    <a href="//www.videolan.org/">
         <img src="/cone-soppera10.png" alt="VLC cone logo" id="logo" />
     </a>
     <h1>VLC media player daily code snapshots</h1>
     <p>Please report nightly snapshots breakage (meaning that there is no new snapshot) on <code>#videolan</code> on irc.freenode.net.</p>
 
-    <p><a href="/">Looking for nightly builds</a> or <a href="http://www.videolan.org/vlc/download-sources.html">official releases</a>?</p>
+    <p><a href="/">Looking for nightly builds</a> or <a href="//www.videolan.org/vlc/download-sources.html">official releases</a>?</p>
 </header>
diff --git a/nightlies.videolan.org/build/tvOS/HEADER.html b/nightlies.videolan.org/build/tvOS/HEADER.html
index ebcc43d1..43f41c37 100644
--- a/nightlies.videolan.org/build/tvOS/HEADER.html
+++ b/nightlies.videolan.org/build/tvOS/HEADER.html
@@ -6,7 +6,7 @@
     ul { overflow: hidden; }
 </style>
 <header>
-    <a href="http://www.videolan.org/">
+    <a href="//www.videolan.org/">
         <img src="/cone-soppera10.png" alt="VLC cone logo" id="logo" />
     </a>
     <h1>TVVLCKit tvOS nightly builds for AArch64 and x86_64</h1>
@@ -14,5 +14,5 @@
     <p>Please report nightly builds breakage (meaning that there is no new build) on <code>#videolan</code> on irc.freenode.net.</p>
     <h2>Note: TVVLCKit's nightly builds require tvOS 9 or later as well as Xcode 7.3 or later</h2>
     <p>Linking with libc++ instead of libstdc++ is required.</p>
-    <p><a href="/">Looking for nightly builds for other OSes</a> or <a href="http://www.videolan.org/vlc/download-appletv.html">official releases</a>?</p>
+    <p><a href="/">Looking for nightly builds for other OSes</a> or <a href="//www.videolan.org/vlc/download-appletv.html">official releases</a>?</p>
 </header>
diff --git a/nightlies.videolan.org/build/win32/HEADER.html b/nightlies.videolan.org/build/win32/HEADER.html
index bd506326..6d16e00e 100644
--- a/nightlies.videolan.org/build/win32/HEADER.html
+++ b/nightlies.videolan.org/build/win32/HEADER.html
@@ -6,7 +6,7 @@
     ul { overflow: hidden; }
 </style>
 <header>
-    <a href="http://www.videolan.org/">
+    <a href="//www.videolan.org/">
         <img src="/cone-soppera10.png" alt="VLC cone logo" id="logo" />
     </a>
     <h1>VLC media player Win32 nightly builds</h1>
@@ -18,5 +18,5 @@
         <li><strong>branch</strong> represents the latest stable release</li>
         <li><strong>trunk</strong> represent the latest development release</li>
     </ul>
-    <p><a href="/">Looking for nightly builds for other OSes</a> or <a href="http://www.videolan.org/vlc/download-macosx.html">official releases</a>?</p>
+    <p><a href="/">Looking for nightly builds for other OSes</a> or <a href="//www.videolan.org/vlc/download-macosx.html">official releases</a>?</p>
 </header>
diff --git a/nightlies.videolan.org/build/win64/HEADER.html b/nightlies.videolan.org/build/win64/HEADER.html
index ffa81fb4..7e88143e 100644
--- a/nightlies.videolan.org/build/win64/HEADER.html
+++ b/nightlies.videolan.org/build/win64/HEADER.html
@@ -6,7 +6,7 @@
     ul { overflow: hidden; }
 </style>
 <header>
-    <a href="http://www.videolan.org/">
+    <a href="//www.videolan.org/">
         <img src="/cone-soppera10.png" alt="VLC cone logo" id="logo" />
     </a>
     <h1>VLC media player Win64 nightly builds</h1>
@@ -18,5 +18,5 @@
         <li><strong>branch</strong> represents the latest stable release</li>
         <li><strong>trunk</strong> represent the latest development release</li>
     </ul>
-    <p><a href="/">Looking for nightly builds for other OSes</a> or <a href="http://www.videolan.org/vlc/download-macosx.html">official releases</a>?</p>
+    <p><a href="/">Looking for nightly builds for other OSes</a> or <a href="//www.videolan.org/vlc/download-windows.html">official releases</a>?</p>
 </header>
diff --git a/nightlies.videolan.org/build/wince/HEADER.html b/nightlies.videolan.org/build/wince/HEADER.html
index 0bcb9fbe..393efcd1 100644
--- a/nightlies.videolan.org/build/wince/HEADER.html
+++ b/nightlies.videolan.org/build/wince/HEADER.html
@@ -6,11 +6,11 @@
     ul { overflow: hidden; }
 </style>
 <header>
-    <a href="http://www.videolan.org/">
+    <a href="//www.videolan.org/">
         <img src="/cone-soppera10.png" alt="VLC cone logo" id="logo" />
     </a>
     <h1>VLC media player WinCE XScale nightly builds</h1>
     <p>Remember to test the <strong>latest</strong> nightly build before reporting a bug (in one of the older nighly builds). Have fun!</p>
     <p>Please report nightly builds breakage (meaning that there is no new build) on <code>#videolan</code> on irc.freenode.net.</p>
-    <p><a href="/">Looking for nightly builds for other OSes</a> or <a href="http://www.videolan.org/vlc/download-wince.html">official releases</a>?</p>
+    <p><a href="/">Looking for nightly builds for other OSes</a> or <a href="//www.videolan.org/vlc/download-wince.html">official releases</a>?</p>
 </header>
diff --git a/nightlies.videolan.org/index.php b/nightlies.videolan.org/index.php
index e23a714c..13c36262 100644
--- a/nightlies.videolan.org/index.php
+++ b/nightlies.videolan.org/index.php
@@ -56,12 +56,12 @@
 
     <div class="clearme">
         <h2>Source-code snapshots</h2>
-        <p><a href="/build/source/">Download here</a> the tarballs (bz2) or use <a href="http://wiki.videolan.org/Git">Git</a> to get the latest source code.</p>
+        <p><a href="/build/source/">Download here</a> the tarballs (bz2) or use <a href="//wiki.videolan.org/Git">Git</a> to get the latest source code.</p>
 
         <h2><a id="ubuntu">Ubuntu PPA</a></h2>
         <p>The nightly builds for Ubuntu are available
-        on <a href="http://launchpad.net/">Launchpad</a> from
-        the <a href="https://launchpad.net/~videolan/+archive/master-daily"
+        on <a href="//launchpad.net/">Launchpad</a> from
+        the <a href="//launchpad.net/~videolan/+archive/master-daily"
         >VideoLAN team's <code>master-daily</code> PPA</a>.
         Once you have activated the correct repository, you can simply
         update the VLC (<code>vlc</code>) package.
@@ -90,11 +90,11 @@
 
         <h2><a id='suse'>VLC SVN Snapshots for openSUSE</a></h2>
         <p>For openSUSE 11.4, 12.3, 13.1, 13.2 and Tumbleweed we offer also RPMs from SVN snapshots. The packages are updated approximatively once per week.</p>
-        <p>In order to test it, follow the usual instructions to install VLC as described on <a href="http://www.videolan.org/vlc/download-suse.html">http://www.videolan.org/vlc/download-suse.html</a>,
+        <p>In order to test it, follow the usual instructions to install VLC as described on <a href="//www.videolan.org/vlc/download-suse.html">www.videolan.org/vlc/download-suse.html</a>,
          but replace the packagename <b>vlc</b> with <b>vlc-beta</b>. <i>You can only install one version, so either vlc OR vlc-beta. They conflict each other. </i></p>
 
         <h2><a id='gentoo'>VLC Git Ebuild for Gentoo</a></h2>
-        <p>Alexis Ballier maintains Ebuild for the <a href='http://sources.gentoo.org/viewcvs.py/gentoo-x86/media-video/vlc/vlc-9999.ebuild?rev=1.1&amp;view=log'>master (vlc-9999.ebuild)</a> Git branch in the Portage tree.</p>
+        <p>Alexis Ballier maintains Ebuild for the <a href='//sources.gentoo.org/viewcvs.py/gentoo-x86/media-video/vlc/vlc-9999.ebuild?rev=1.1&amp;view=log'>master (vlc-9999.ebuild)</a> Git branch in the Portage tree.</p>
         As it is a live ebuild it comes without any keyword so you'll have to put a '**' entry for it in package.keywords in order to be able to install it and, when appropriate, an entry in package.unmask .
     </div>
 
-- 
2.11.1.windows.1

